@import "libs/shared/assets/src/global-style/color";
@import "libs/shared/assets/src/global-style/variable";

.mat-draw-left {
  min-height: 740px;
  border-top-right-radius: 16px;
  margin-left: 1rem;
  background: #fff;
  border-right: 3px solid #e8eaf6;
}


.cotainer-init-screen__left-content__top__dropdown {
  padding: 16px 16px 0px 16px;
}

.modal-left {
  z-index: 999;
  background: $white-color;
  ::ng-deep {
    .mat-tree-node {
      min-height: 2rem;
    }

    .ant-tree {
      margin-top: 16px;
    }



    .ant-tree-treenode-selected {
      color: $primary-button-color;
      font-weight: 600;
      border-left: 4px solid $primary-button-color;
      background: $background-main;
    }

    .ant-tree-node-content-wrapper {
      background-color: inherit;
    }
    .mat-icon-button {
      width: 20px;
      height: 20px;
      line-height: 19px;
    }
    .mat-icon-button {
      width: 20px;
      height: 20px;
      line-height: 19px;
    }
  }
  &__label {
    font-weight: bold;
    width: 100%;
    background: $white-color;
  }
  &__tree {
    height: 700px;
    overflow: hidden;
    white-space: nowrap;
    border-right: 3px solid $background-primary-button-color;
    &__icon {
      width: 9px;
      height: 9px;
    }
  }
  &__tree:hover {
    overflow-y: auto;
  }
  span {
    font-family: avertaR, sans-serif;
  }
  span:hover {
    cursor: pointer;
    color: $text-hover;
  }
}

.cotainer-init-screen__left-content__top__label {
  color: #000;
  font-weight: 700;
  font-size: 16px;
}

.selected-node {
  color: $primary-button-color;
  font-weight: 600;
  border-left: 4px solid $primary-button-color;
  background: $background-main;
}

.first-node {
  font-weight: 600;
}
.text-ellipsis {
  display: block;
  max-width: 686px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
.footer {
  display:flex;
  justify-content:flex-end;
  align-items:center;
  margin-top: 20px;
}
.flex-end {
  display: flex;
  justify-content: flex-end;
}


.icon-expand {
  border: none;
  background: none;
}

.main-model-organization__tooltip {
  &__menu {
    border-radius: 12px;
    &--item {
      display: flex;
      align-items: center;
      &__text {
        margin-left: 15px;
      }
      &__icon {
        margin-right: 0px !important;
      }
    }
  }
  &__icon {
    transform: rotate(90deg);
  }
}

.ant-dropdown-menu-custom {
  padding: 0px 0px !important;
  width: 150px;
}

